# signs_base.h File Reference

Base class for signs. More...

`#include "signs_type.h"`
`#include "viewport_type.h"`
`#include "core/pool_type.hpp"`
`#include "company_type.h"`

Go to the source code of this file.

## Data Structures
struct | Sign
## Defines
#define | FOR_ALL_SIGNS_FROM(var, start) FOR_ALL_ITEMS_FROM(Sign, sign_index, var, start)
#define | FOR_ALL_SIGNS(var) FOR_ALL_SIGNS_FROM(var, 0)
## Typedefs
typedef Pool< Sign, SignID, 16, 64000 > | SignPool
## Variables
SignPool | _sign_pool

## Detailed Description

Base class for signs.

Definition in file signs_base.h.